server:
  port: 8808
spring:
  profiles:
    active: dev
  application:
    name: atu-upper-computer
  rabbitmq:
    host: 192.168.77.26
    port: 5672
    virtual-host: cloud
    username: cloud
    password: 123456
  jackson:
    serialization:
      write-dates-as-timestamps: true
  jpa:
    show-sql: false
    hibernate:
      ddl-auto: update
    database: h2
    open-in-view: false
  datasource:
    url: jdbc:h2:file:./.h2/db
    username: engine
    password: 123456
    driver-class-name: org.h2.Driver
  h2:
    console:
      path: /h2
      enabled: true
      settings:
        trace: false
        web-allow-others: true
  task:
    scheduling:
      pool:
        size: 3
      thread-name-prefix: scheduler-task-
nk:
  mobile-computer:
    password: 123456
    keepScreenOn: true    #是否点亮屏幕，如果true，启动agent时不会关闭手机屏幕，false则会关闭手机屏幕
    idPath:  /home/attect/cctp-mobile
    ctrlIp: 172.16.77.25
    stfPath: /home/yc/soft/cctp-mobile
    serverAddr: http://172.16.77.23:8000/api/
    ctrlRegisterAddr: cctp-device-mgr/pub/ctrls/register
    mobilePushAddr: cctp-device-mgr/pub/device/register/mobile
    mobileOfflineAddr: cctp-device-mgr/pub/device/off-line/{uuid}
    mobileInfoAddr: cctp-device-mgr/pub/device/lock/{uuid}
    appDownloadAddr: atu-script-case/pub/file/downloadApp/{appId}
    fileUploadAddr: cctp-files/v1/upload
    publicUploadAddr: cctp-files/pub/upload
    publicDownloadFile: cctp-files/pub/download/{appUrl}
    publicFindAppInfo: atu-script-case/pub/apps/getAppDetail
    ctrlUpLimit: 32
    wdaBundleId: com.nktest.WebDriverAgentRunner.40.xctrunner
  http-request-path:
    useNewOcr: true
    ocrServer: http://192.168.0.33:5000
    ocrFindArea: ${nk.http-request-path.ocrServer}/WebAPI/FindTextCoordinateByOcr   #ocr查找文本位置
    imgFindArea: ${nk.http-request-path.ocrServer}/WebAPI/findImageInImage   #图片查找位置
    ocrGetText: ${nk.http-request-path.ocrServer}/WebAPI/GetTextByOcr   #图片查找位置
    ocrGetVerificationCode: http://158.58.160.183:8000/yzm_v2  #新版ocr获取验证码
    ocrGetAllTextNum: http://158.58.160.183:8000/rpa_v2 #新版ocr获取金额
    getSafeKeyBoardNum: http://158.58.160.183:8000/keyboard_v2 #新版ocr获取安全键盘
    hzBankOcrAddress: http://197.68.24.38:9283/gateway/spring-ocrcloud-platform/OCRA0001 #杭州银行OCR请求nginx地址
macos:
  build-wda:
    build-wda: true  #是否重新构建wda
    xcode-username: mac01   #mac电脑的用户名，不能是root
    key-chain-password: testtest  #mac系统的密码
    wda-project-path: /Users/mac01/Downloads/WebDriverAgent   #wda工程代码位置
    xcode14-path: /Applications/Xcode14/Xcode.app   #xcode14位置
    xcode15-path: /Applications/Xcode.app  #xcode15位置
    wda-for-ios17-below-package-path: /Users/mac01/Downloads/wda14/  #打包后wda包的位置,为ios17以下使用
    wda-for-ios17-above-package-path: /Users/mac01/Downloads/wda15/  #打包后wda包的位置,为ios17及以上使用
    wda-for-ios17-below-package-default-path: /Users/mac01/Downloads/wda14/Build/Products/WebDriverAgentRunner_iphoneos16.4-arm64.xctestrun  #如果不打包wda，指定wda的路径,为ios17及以下使用
    wda-for-ios17-above-package-default-path: /Users/mac01/Downloads/wda15/Build/Products/WebDriverAgentRunner_iphoneos17.4-arm64.xctestrun  #如果不打包wda，指定wda的路径,为ios17及以上使用
    print-wda-output: true   #是否在日志中打印wda的输出
logging:
  level:
    net.northking: debug

